---
agentTools:
  projectIndex: https://nippy.readme.io/llms.txt
---

# Wallet Balance API

This API allows you to check the wallet balance for a specific merchant.

### API Endpoint:

```Text url
https://pg.nippy.co.in/api/wallet/
```

### Request Method:

```Text Action
POST
```

### Request Headers:

* Authorization: Bearer {auth\_token}
* Content-Type: application/json

### Request Body:

| Field | Type | Description        |
| :---- | :--- | :----------------- |
| mid   | int  | Your Merchant's ID |

### Sample cURL Request:

```Text cURL
curl --location --request POST 'https://pg.nippy.co.in/api/wallet/' \
--header 'Authorization: Bearer <AUTHTOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "mid": 3
}'

```

Replace <AUTHTOKEN> with the actual auth token provided to the merchant.

### Sample Success Response:

```Text JSON
{
    "status": true,
    "message": "Success",
    "wallet": 114700,
    "code": 200
}

```

### Sample Error Response:

```Text JSON
{
    "status": false,
    "message": "Invalid mid",
    "input": {
        "mid": 3
    },
    "error_code": 400
}

```

In case of an error, the API will return an error response with a specific error code and a message describing the issue.